%global __provides_exclude_from ^%{_libdir}/switchboard/.*\\.so$

Name:           switchboard-plug-printers
Summary:        Switchboard Printers Plug
Version:        0.1
Release:        4%{?dist}
License:        GPLv3+

URL:            https://launchpad.net/%{name}
Source0:        %{url}/loki/%{version}/+download/%{name}-%{version}.tar.xz

# Patch to fix compilation on vala 0.35+
Patch0:         00-fix-vala-036-compilation.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  vala >= 0.22.0
BuildRequires:  vala-tools

BuildRequires:  cups-devel

BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(switchboard-2.0)

Requires:       cups%{?_isa}

Supplements:    (switchboard%{?_isa} and cups%{?_isa})


%description
A printers plug for Switchboard.


%prep
%setup -q
%patch0 -p1


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang pantheon-printers-plug


%files -f pantheon-printers-plug.lang
%doc AUTHORS
%license COPYING COPYRIGHT

%{_libdir}/switchboard/hardware/pantheon-printers/


%changelog
* Thu May 18 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1-4
- Add upstream patch to fix compilation with vala 0.35+.

* Sun Feb 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1-3
- Clean up spec file.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1-2
- Mass rebuild.

* Tue Aug 23 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1-1
- Update to version 0.1.


